import 'dart:async';

import 'package:flutter/services.dart';

class BackGeolocation {
  static const MethodChannel _channel =
      const MethodChannel('back_geolocation');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  
  static get showAlertDialog async {
    await _channel.invokeMethod("showAlertDialog", {"id" : "1", "server": "http://192.168.0.109/PruebaLocalizacion/PruebaLocalizacion/public/hola"});
  }

  static showAlertMiau(String uno, String dos) async{
    await _channel.invokeMethod("showAlertDialog", {"id" : uno, "server": dos});
  }
}
